Name:		pciutils
Version:	2.1.11
Release:	2m
URL: 		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
Source0:	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
Patch0:		pciutils-bufsiz.patch
License:	GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveOS: 	Linux
ExcludeArch:	armv4l
Requires:	kernel >= 2.2 hwdata
Summary: Linux PCI utilities.
Group: Applications/System
NoSource: 0

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%package devel
Summary: Linux PCI development library.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch0 -p1 -b .bufsiz

%build
make OPT="%{optflags}" PREFIX=/usr SHAREDIR=/usr/share/hwdata

%install
rm -rf %{buildroot}
install -d %{buildroot}/{sbin,%{_mandir}/man8,/usr/share,/usr/lib,/usr/include/pci}

install -s lspci setpci %{buildroot}/sbin
install lspci.8 setpci.8 %{buildroot}%{_mandir}/man8
install pci.ids %{buildroot}/usr/share
install lib/libpci.a %{buildroot}/usr/lib
install lib/pci.h %{buildroot}/usr/include/pci
install lib/header.h %{buildroot}/usr/include/pci
install lib/config.h %{buildroot}/usr/include/pci

rm -f %{buildroot}%{_datadir}/pci.ids

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, man) %{_mandir}/man8/*
%attr(0755, root, root) /sbin/*
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(0644, root, root)
%{_libdir}/libpci.a
%{_includedir}/pci/*
%dir %attr(755,root,root) %{_includedir}/pci

%clean
rm -rf %{buildroot}

%changelog
* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.11-2m)
- revised spec for rpm 4.2.

* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.11-1m)
  update to 2.1.11

* Sun May 19 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.1.10-2k)
- ver up to 2.1.10.
- Skip patch & patch5. (already applied on 2.1.10.)
- modify URL.

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.1.9-2k)
- ver up.

* Mon Nov 19 2001 Shingo Akagaki <dora@kondara.org>
- (2.1.8-18k)
- add nForce

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1.8-16k)
- modify permission /usr/include/pci and /usr/include/pci/*

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- sync with Jirai (add URL)
- owned %{_includedir}/pci

* Wed Aug 29 2001 Shingo Akagaki <dora@kondara.org>
- add via.patch

* Tue Aug 28 2001 Motonobu Ichimura <famao@kondara.org>
- add URL

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- pci ids for i815, new ati hardware

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- yet more IDs
- PCI-X support from Matt Domsch

* Fri Jul  7 2000 Bill Nottingham <notting@redhat.com>
- some more QLogic ids

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- more IDs from Dell

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.8

* Sun May 21 2000 tom <tom@kondara.org>
- update to 2.1.8
- Kondarize :-P

* Fri Apr 21 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.7

* Mon Apr 17 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.6

* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- add a couple of ids

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.5

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 24 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.4

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.3

* Fri Dec 24 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.2

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- add -devel package

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
